opj_dwt_encode_h_job_t Struct Reference

## Data Fields

opj_dwt_t | h
OPJ_UINT32 | rw
OPJ_UINT32 | w
OPJ_INT32 *OPJ_RESTRICT | tiledp
OPJ_UINT32 | min_j
OPJ_UINT32 | max_j
opj_encode_and_deinterleave_h_one_row_fnptr_type | p_function

## Field Documentation

## h

opj_dwt_t opj_dwt_encode_h_job_t::h

Referenced by opj_dwt_encode_h_func(), and opj_dwt_encode_procedure().

## max_j

OPJ_UINT32 opj_dwt_encode_h_job_t::max_j

Referenced by opj_dwt_encode_procedure().

## min_j

OPJ_UINT32 opj_dwt_encode_h_job_t::min_j

Referenced by opj_dwt_encode_h_func(), and opj_dwt_encode_procedure().

## p_function

opj_encode_and_deinterleave_h_one_row_fnptr_type opj_dwt_encode_h_job_t::p_function

Referenced by opj_dwt_encode_h_func(), and opj_dwt_encode_procedure().

## rw

OPJ_UINT32 opj_dwt_encode_h_job_t::rw

Referenced by opj_dwt_encode_h_func(), and opj_dwt_encode_procedure().

## tiledp

OPJ_INT32* OPJ_RESTRICT opj_dwt_encode_h_job_t::tiledp

Referenced by opj_dwt_encode_h_func(), and opj_dwt_encode_procedure().

## w

OPJ_UINT32 opj_dwt_encode_h_job_t::w

Referenced by opj_dwt_encode_h_func(), and opj_dwt_encode_procedure().

The documentation for this struct was generated from the following file:

- dwt.c